Distance Matrix

GET
https://api.woosmap.com/indoor/distancematrix/{venue_id}

Get distances and durations for a matrix of origins and destinations, based on the recommended route between start and end points for a specified travel mode. The API returns information consisting of rows containing distance and duration values for each pair of start and end point. The returned distances are designed to be used to find and sort multiple assets by road distance. Duration values are provided as complementary info.

Rate limit: 20/1s

Authorization

private_key
apiKey query
X-Api-Key
apiKey header
key
apiKey query

Path Parameters

venue_id
string required

ID of the venue

Query Parameters

origins
string required

A string with a list of origins seperated by |. Origins can be of the format: lat,lng,level, poi_id, ref:poi_ref

Example: 1.2,2.1,1|exit_1|1.3,3.1,2|ref:main_exit
destinations
string required

A string with a list of destinations seperated by |. Destinations can be of the format: lat,lng,level, poi_id, ref:poi_ref

Example: 1.2,2.1,1|exit_1|1.3,3.1,2|ref:main_exit
language
string Defaults to en

A supported language as an ISO 639-1, 2 letter code.

routing_profile
string Defaults to ""

The routing profile to use to calculate the path (depends on the modes which were used to digitize the venue)

units
object Defaults to metric

Unit System to use for response

Response

200 application/json

OK

status
string required

A string to indicate the success of the request

rows
object[] required
Show 1 propertiesHide 1 properties
rows. elements
object[] required
Show 3 propertiesHide 3 properties
rows.elements. status
string required

A string to indicate if a path was found or not

rows.elements. duration
object required
Show 2 propertiesHide 2 properties
rows.elements.duration. value
number required

Duration in seconds

rows.elements.duration. text
string required

Duration as text based response with unit type

rows.elements. distance
object required
Show 2 propertiesHide 2 properties
rows.elements.distance. value
number required

Distance in metres

rows.elements.distance. text
string required

Distance as text based response with unit type

Errors

400

Bad Request

application/json
detail
string required
401

Unauthorized

application/json
detail
string required
402

Payment Required

application/json

No properties defined

403

Forbidden

application/json

No properties defined

422

Unprocessable Entity

application/json
detail
object[] required

The validation errors.

context
object required

Context

        
{
"rows": [],
"status": "OK"
}
Was this helpful?